function [x,y] = circlefunction(bs,s)
% Geometry file defining the geometry of a circle

switch nargin
  case 0 % four edge segments
    x = 4;
    return
  case 1
    A = [0    pi/2  pi      3*pi/2  % start parameter values
         pi/2 pi    3*pi/2  2*pi    % end parameter values
         1    1     1       1       % region label to left
         0    0     0       0];     % region label to right
    x = A(:,bs); % return requested columns
    return
  case 2
    x = cos(s);
    y = sin(s);
    return
end
